Bug 30778 - ModBiblioInBatch is not used and can be removed
Summary: ModBiblioInBatch is not used and can be removed
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-16 19:49 UTC by Nick Clemens
Modified: 2022-07-12 15:30 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.03


Attachments
Bug 30778: Remove ModBiblioInBatch (1.25 KB, patch)
2022-05-16 19:53 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 30778: remove ModAuthInBatch (1.06 KB, patch)
2022-05-16 19:53 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 30778: Remove ModBiblioInBatch (1.30 KB, patch)
2022-05-17 11:08 UTC, David Nind
Details | Diff | Splinter Review
Bug 30778: remove ModAuthInBatch (1.11 KB, patch)
2022-05-17 11:08 UTC, David Nind
Details | Diff | Splinter Review
Bug 30778: Remove ModBiblioInBatch (1.37 KB, patch)
2022-05-17 12:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30778: Remove ModAuthInBatch (1.18 KB, patch)
2022-05-17 12:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2022-05-16 19:49:42 UTC

    
Comment 1 Nick Clemens 2022-05-16 19:53:33 UTC
Created attachment 135049 [details] [review]
Bug 30778: Remove ModBiblioInBatch

To test:
1 - git grep ModBiblioInBatch
2 - Confirm these occurences are not calls
3 - Apply patch
4 - git grep ModBiblioInBatch
5 - No occurences
Comment 2 Nick Clemens 2022-05-16 19:53:37 UTC
Created attachment 135050 [details] [review]
Bug 30778: remove ModAuthInBatch

1 - git grep ModAuthInBatch
2 - Confirm none of these occurences are calls
3 - Apply patch
4 - git grep ModAuthInBatch
5 - No occurences
Comment 3 David Nind 2022-05-17 11:08:29 UTC
Created attachment 135056 [details] [review]
Bug 30778: Remove ModBiblioInBatch

To test:
1 - git grep ModBiblioInBatch
2 - Confirm these occurences are not calls
3 - Apply patch
4 - git grep ModBiblioInBatch
5 - No occurences

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2022-05-17 11:08:33 UTC
Created attachment 135057 [details] [review]
Bug 30778: remove ModAuthInBatch

1 - git grep ModAuthInBatch
2 - Confirm none of these occurences are calls
3 - Apply patch
4 - git grep ModAuthInBatch
5 - No occurences

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Jonathan Druart 2022-05-17 12:28:26 UTC
Created attachment 135067 [details] [review]
Bug 30778: Remove ModBiblioInBatch

To test:
1 - git grep ModBiblioInBatch
2 - Confirm these occurences are not calls
3 - Apply patch
4 - git grep ModBiblioInBatch
5 - No occurences

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2022-05-17 12:28:31 UTC
Created attachment 135068 [details] [review]
Bug 30778: Remove ModAuthInBatch

1 - git grep ModAuthInBatch
2 - Confirm none of these occurences are calls
3 - Apply patch
4 - git grep ModAuthInBatch
5 - No occurences

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Tomás Cohen Arazi 2022-06-06 16:34:03 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 8 Lucas Gass 2022-07-12 15:30:59 UTC
Backported to 22.05.x for 22.05.03